## ros-kinetic-freenect-launch 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(freenect_launch)

find_package(catkin REQUIRED)

catkin_package()

# install the launch files
install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

=== debian/changelog ===
ros-kinetic-freenect-launch (0.4.2-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 26 May 2016 05:00:00 -0000

ros-kinetic-freenect-launch (0.4.1-0xenial) xenial; urgency=high

  * fix tf_prefix leading slash issue #13 <https://github.com/ros-drivers/freenect_stack/issues/13>
  * Contributors: Jihoon Lee, Piyush Khandelwal

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 27 Feb 2015 06:00:00 -0000

ros-kinetic-freenect-launch (0.4.0-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 30 Jan 2015 06:00:00 -0000

ros-kinetic-freenect-launch (0.3.2-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 17 Jan 2014 06:00:00 -0000

ros-kinetic-freenect-launch (0.3.1-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 16 Jan 2014 06:00:00 -0000

ros-kinetic-freenect-launch (0.3.0-0xenial) xenial; urgency=high

  * fixed cmake and package.xml for rgbd_launch migration
  * migration of common rgbd_launch is now complete
  * added all old launch files with upgrade notices pointing to rgbd_launch
  * marked all internal files as package.xml
  * fixed cloud generation with device enabled depth registration
  * Added data_skip argument to launch files.

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 19 Aug 2013 05:00:00 -0000

ros-kinetic-freenect-launch (0.2.1-0xenial) xenial; urgency=high

  * bumping version to 0.2.1
  * convert freenect_launch to catkin (#2 <https://github.com/ros-drivers/freenect_stack/issues/2>)
  * improved the ns/tf_prefix distinction, allowing you to set both in freenect.launch. also fixed some launch file typos. closes #8 <https://github.com/ros-drivers/freenect_stack/issues/8>
  * fixed small typo in manifest
  * added more examples - also good for testing
  * fixed namespacing in freenect_launch
  * added debugging/diagnostics capabilities to main launch file
  * added ability to have a top level namespace in the launch file. NOTE: kinect_frames.launch is not fixed
  * greatly simplified launch examples by allowing freenect.launch to take the processing constellation launch file name as an argument
  * reorganized stack for release

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 21 May 2013 15:53:47 -0500

=== debian/control ===
Source: ros-kinetic-freenect-launch
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/freenect_launch
Standards-Version: 3.9.2

Package: ros-kinetic-freenect-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-freenect-camera, ros-kinetic-image-proc, ros-kinetic-nodelet, ros-kinetic-rgbd-launch, ros-kinetic-tf
Description: Launch files for freenect_camera to produce rectified, registered or disparity images.
 Also produce point clouds and registered point clouds. Based on the openni_launch package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-freenect-launch//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
